#extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec2 l_TexCoordinate;
varying vec2 r_TexCoordinate;
uniform samplerExternalOES sTexture;

void main() {
    vec4 color = texture2D(sTexture, l_TexCoordinate);
    vec4 alpha = texture2D(sTexture, vec2(r_TexCoordinate.x, r_TexCoordinate.y));
    gl_FragColor = vec4(color.rgb, alpha.r);
}