uniform mat4 uMVPMatrix;
uniform mat4 uSTMatrix;

attribute vec4 aPosition;
attribute vec4 aTextureCoord;

varying vec2 l_TexCoordinate;
varying vec2 r_TexCoordinate;

void main() {
    l_TexCoordinate = (uSTMatrix * aTextureCoord).xy;
    float midX = (uSTMatrix * vec4(0.5, 0.0, 0.0, 1.0)).x;
    r_TexCoordinate = vec2(l_TexCoordinate.x + midX, l_TexCoordinate.y);
    gl_Position = uMVPMatrix * aPosition;
}